Index: trunk/kernel/syscalls/syscalls.h
===================================================================
--- trunk/kernel/syscalls/syscalls.h	(revision 594)
+++ trunk/kernel/syscalls/syscalls.h	(revision 610)
@@ -170,15 +170,16 @@
 
 /****************************************************************************************** 
- * [10] This function implement the exit system call terminating a POSIX process.
- * It can be called by any thread running in any cluster.
- * It uses both remote accesses to access the owner process descriptor, and the
- * RPC_PROCESS_SIGACTION to delete remote process and thread descriptors.
- * In the present implementation, this function implements actually the _exit():
- * - it does not flush open output streams.
- * - it does not close open streams.
- ******************************************************************************************
- * @ status   : terminaison status (not used in present implementation).
- *****************************************************************************************/
-int sys_exit( uint32_t status );
+ * [10] This function causes the file named <old> to be renamed as <new>.
+ * If new exists, it is first removed.  Both old and new must be of the same type (both
+ * must be either directories or non-directories) and must reside on the same file system.
+ * It guarantees that an instance of <new> will always exist, even if the system should 
+ * crash in the middle of the operation.
+ ******************************************************************************************
+ * @ old      : old file name.
+ * @ new      : new file name.
+ * @ return 0 if success / return -1 if failure.
+ *****************************************************************************************/
+int sys_rename( char *old,
+                char *new );
 
 /****************************************************************************************** 
@@ -301,12 +302,15 @@
 
 /****************************************************************************************** 
- * [21] This function creates a new directory in file system.
- ******************************************************************************************
- * @ pathname   : pathname (can be relative or absolute).
- * @ mode       : access rights (as defined in chmod).
- * @ return 0 if success / returns -1 if failure.
- *****************************************************************************************/
-int sys_mkdir( char    * pathname,
-               uint32_t  mode );
+ * [21] This function implements the "mkdir" system call, creating a new directory in
+ * the file system, as defined by the <pathname> argument, with the access permission
+ * defined by the <rights> argument. All nodes but the last in the pathname must exist.
+ * It can be called by any thread running in any cluster.
+ ******************************************************************************************
+ * @ pathname  : pathname defining the new directory location in file system.
+ * @ rights    : access rights (non used yet).
+ * @ return 0 if success / return -1 if failure.
+ *****************************************************************************************/
+int sys_mkdir( char     * pathname,
+               uint32_t   rights );
 
 /****************************************************************************************** 
@@ -653,3 +657,16 @@
                uint32_t * is_fg );
 
+/****************************************************************************************** 
+ * [50] This function implements the exit system call terminating a POSIX process.
+ * It can be called by any thread running in any cluster.
+ * It uses both remote accesses to access the owner process descriptor, and the
+ * RPC_PROCESS_SIGACTION to delete remote process and thread descriptors.
+ * In the present implementation, this function implements actually the _exit():
+ * - it does not flush open output streams.
+ * - it does not close open streams.
+ ******************************************************************************************
+ * @ status   : terminaison status.
+ *****************************************************************************************/
+int sys_exit( uint32_t status );
+
 #endif  // _SYSCALLS_H_
